MCP Tools Reference: ces.googleapis.com

工具:delete_deployment

删除指定的部署。

以下示例演示了如何使用 curl 调用 delete_deployment MCP 工具。

Curl 请求
                  
curl --location 'https://ces.[REGION].rep.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "delete_deployment",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

输入架构

AgentService.DeleteDeployment 的请求消息。

DeleteDeploymentRequest

JSON 表示法
{
  "name": string,
  "etag": string
}
字段
name

string

必需。要删除的部署的名称。格式:projects/{project}/locations/{location}/apps/{app}/deployments/{deployment}

etag

string

可选。相应部署的 ETag。如果提供的 etag 与部署的当前 etag 不匹配,删除操作将被阻止并返回 ABORTED 错误。

输出架构

一种通用的空消息,您可以重复使用它,以避免在 API 中定义重复的空消息。一个典型示例是将其用作 API 方法的请求或响应类型。例如:

service Foo {
  rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty);
}

工具注释

破坏性提示:✅ | 等幂性提示:❌ | 只读提示:❌ | 开放世界提示:❌